> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return Line Item

> This endpoint creates a new return line item.

### Body

<ParamField body="id" name="id" type="string">
  This is the id of the return line item.
</ParamField>

<ParamField body="amount" name="amount" type="string">
  This is the amount of the return line item.
</ParamField>

<ParamField body="condition" name="condition" type="string">
  This is the condition of the return line item.
</ParamField>

<ParamField body="flat_rate_shipping" name="flat_rate_shipping" type="string">
  This is the flat rate shipping of the return line item.
</ParamField>

<ParamField body="name" name="name" type="string">
  This is the name of the return line item.
</ParamField>

<ParamField body="price" name="price" type="string">
  This is the price of the return line item.
</ParamField>

<ParamField body="return_id" name="return_id" type="string">
  This is the id of the return associated with the line item.
</ParamField>

<ParamField body="serial_number" name="serial_number" type="string">
  This is the serial number of the return line item.
</ParamField>

<ParamField body="sku" name="sku" type="string">
  This is the sku of the return line item.
</ParamField>

<ParamField body="tax_refunded" name="tax_refunded" type="string">
  This is the tax refunded of the return line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the return line item.
</ResponseField>

<ResponseField name="amount" type="string">
  This is the amount of the return line item.
</ResponseField>

<ResponseField name="condition" type="string">
  This is the condition of the return line item.
</ResponseField>

<ResponseField name="flat_rate_shipping" type="string">
  This is the flat rate shipping of the return line item.
</ResponseField>

<ResponseField name="name" type="string">
  This is the name of the return line item.
</ResponseField>

<ResponseField name="price" type="string">
  This is the price of the return line item.
</ResponseField>

<ResponseField name="return_id" type="string">
  This is the id of the return associated with the line item.
</ResponseField>

<ResponseField name="serial_number" type="string">
  This is the serial number of the return line item.
</ResponseField>

<ResponseField name="sku" type="string">
  This is the sku of the return line item.
</ResponseField>

<ResponseField name="tax_refunded" type="string">
  This is the tax refunded of the return line item.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/return_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "current_token": ""
  }'
  ```

  ```graphQL GraphQL theme={null}
                   mutation addReturnLineItem($return_line_item: return_line_items_insert_input!) {
                    insert_return_line_items(objects: [$return_line_item]) {
                      returning {
                          id
                          sku
                          name
                          price
                          condition
                          serial_number
                          amount
                          return_id
                    }
                  }
                  }
  ```

  ```js Node.js theme={null}
  const returnLineItem = await stateset.returnItem.create({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```

  ```python Python theme={null}
  return_line_item = stateset.return_line_item.create(
      {
          "return_line_item": {
              "sku": "123456789",
              "name": "Example Item",
              "price": 100,
              "condition": "New",
              "serial_number": "123456789",
              "amount": 1,
              "return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
          }
      }
  )
  ```

  ```ruby Ruby theme={null}
  return_line_item = Stateset::ReturnItem.create(
      {
          "return_line_item": {
              "sku": "123456789",
              "name": "Example Item",
              "price": 100,
              "condition": "New",
              "serial_number": "123456789",
              "amount": 1,
              "return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
          }
      }
  )
  ```

  ```php PHP theme={null}
  $return_line_item = $stateset->return_line_item->create(
      [
          "return_line_item" => [
              "sku" => "123456789",
              "name" => "Example Item",
              "price" => 100,
              "condition" => "New",
              "serial_number" => "123456789",
              "amount" => 1,
              "return_id" => "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
          ]
      ]
  );
  ```

  ```go Golang theme={null}

  ReturnLineItem , err := stateset.ReturnLineItem.Create(
      "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
      "123456789",
      "Example Item",
      100,
      "New",
      "123456789",
      1,
      "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  )
  ```

  ```java Java theme={null}

  ReturnLineItem returnLineItem = stateset.returnLineItem.create(
      "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
      "123456789",
      "Example Item",
      100,
      "New",
      "123456789",
      1,
      "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  );
  ```

  ```csharp C# theme={null}

  var returnLineItem = stateset.ReturnLineItem.Create(
      "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
      "123456789",
      "Example Item",
      100,
      "New",
      "123456789",
      1,
      "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  );
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": {
          "insert_return_line_items": {
              "returning": [
                  {
                      "id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
                      "sku": "123456789",
                      "name": "Example Item",
                      "price": 100,
                      "condition": "New",
                      "serial_number": "123456789",
                      "amount": 1,
                      "return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
                  }
              ]
          }
      }
  }
  ```
</ResponseExample>
